MINTPY-PLOT_COHERENCE_MATRIX(1)

NAME
mintpy-plot_coherence_matrix - Plot the coherence matrix of one pixel (interactive)

DESCRIPTION
usage: plot_coherence_matrix.py [-h] [--yx Y X] [--lalo LAT LON]

[--lookup LOOKUP_FILE] [-c CMAP_NAME]
    [--cmap-vlist CMAP_VLIST CMAP_VLIST CMAP_VLIST] [--figsize WID LEN] [--img-file IMG_FILE] [--view-cmd VIEW_CMD] [--tcoh TCOH_FILE] [-t TEMPLATE_FILE] [--save] [--nodisplay] [--noverbose] ifgram_file

Plot the coherence matrix of one pixel (interactive)

  positional arguments:

ifgram_file
    interferogram stack file

  options:

-h, --help
    show this help message and exit

--yx Y X
    Point of interest in y(row)/x(col)

--lalo LAT LON
    Point of interest in lat/lon

--lookup LOOKUP_FILE, --lut LOOKUP_FILE
    Lookup file to convert lat/lon into y/x

-c CMAP_NAME, --cmap CMAP_NAME
    Colormap for coherence matrix. Default: RdBu_truncate

--cmap-vlist CMAP_VLIST CMAP_VLIST CMAP_VLIST
    start/jump/end fraction for truncated colormap. Default: 0.0 0.7 1.0

--figsize WID LEN, --fs WID LEN
    figure size in inches. Default: [8, 4]

--img-file IMG_FILE
    dataset to show in map to facilitate point selection. Default: velocity.h5

--view-cmd VIEW_CMD
    view.py command to plot the input map file Default: view.py img_file --wrap --noverbose

--tcoh TCOH_FILE
    temporal coherence file.

-t TEMPLATE_FILE, --template TEMPLATE_FILE
    temporal file.

--save
    save the figure

--nodisplay
    save and do not display the figure

--noverbose
    Disable the verbose message printing.

  example:

    plot_coherence_matrix.py inputs/ifgramStack.h5 plot_coherence_matrix.py inputs/ifgramStack.h5 --yx 277 1069 plot_coherence_matrix.py inputs/ifgramStack.h5 --lalo -0.8493 -91.1510 -c RdBu

    # left: map view plot_coherence_matrix.py inputs/ifgramStack.h5 --view-cmd "view.py {} --dem inputs/gsi10m.dem.wgs84" plot_coherence_matrix.py inputs/ifgramStack.h5 --view-cmd 'view.py {} --wrap --wrap-range -3 3" plot_coherence_matrix.py inputs/ifgramStack.h5 --view-cmd 'view.py {} --sub-x 900 1400 --sub-y 0 500'

    # right: matrix view # show color jump same as the coherence threshold in network inversion with pixel-wised masking plot_coherence_matrix.py inputs/ifgramStack.h5 --cmap-vlist 0 0.4 1